Lý do 90% trang web Magento chạy trên các phiên bản PHP không được hỗ trợ

Lý do 90% trang web Magento chạy trên các phiên bản PHP không được hỗ trợ

90% TRANG WEB MAGENTO CHẠY TRÊN CÁC PHIÊN BẢN KHÔNG ĐƯỢC HỖ TRỢ CỦA PHP. TẠI SAO ĐÂY LÀ VẤN ĐỀ VÀ BẠN (CHÚNG TÔI) CÓ THỂ GIẢI QUYẾT VẤN ĐỀ NÀY NHƯ THẾ NÀO?

Trên toàn cầu, phần lớn các cửa hàng Magento cũng hoạt động trên phiên bản PHP lỗi thời và không tương thích. Nếu bạn đang sử dụng bất kỳ thứ gì bên dưới phiên bản 7.2, bạn có thể đang bỏ lỡ một số cải tiến về hiệu suất. Tuy nhiên, điều quan trọng hơn là bạn khiến cửa hàng của mình có nguy cơ bị lợi dụng tiềm năng cao hơn. Tại sao nó quan trọng? Tại sao phải nâng cấp phiên bản PHP? Cùng SmartOSC làm rõ chi tiết 90% website Magento chạy trên phiên bản PH không được hỗ trợ qua bài viết dưới đây.

VẤN ĐỀ THỰC SỰ NGHIÊM TÚC Ở ĐÂU? TẠI SAO PHIÊN BẢN CỦA PHP LẠI QUAN TRỌNG?

Được rồi, chúng ta hãy tiếp tục với toàn bộ vấn đề này – ấn bản của PHP thực sự là biến thể của ngôn ngữ lập trình được trang web sử dụng. Và thật đơn giản – các phiên bản mới đang nhận được sự hỗ trợ và cập nhật, các phiên bản cũ đang dần bị ngừng cung cấp. Thực sự là Vòng tròn của Sự sống. Ngoài ra, các phiên bản mới hơn tốt hơn về mặt hiệu suất và hầu hết các giải pháp lập trình mới có thể được xây dựng trên các phiên bản mới nhất và các giải pháp lỗi thời thiếu khả năng tương thích ngược. Vì vậy, tóm lại, vì hai điều cơ bản-bảo mật và hiệu suất-bạn nên sử dụng một trong những phiên bản PHP được hỗ trợ (nếu không phải là mới nhất).

Related Articles:   Tìm hiểu 3 cách dễ dàng để thay đổi URL quản trị Magento 2 một cách dễ dàng

Xem thêm bài viết: https://www.smartosc.com/insights/magento-development-service-company

CÁC PHIÊN BẢN VÀ THỜI HẠN ĐƯỢC HỖ TRỢ của PHP:

Dưới đây là tóm tắt nhanh về các phiên bản PHP và cách chúng hoạt động khi nói đến các bản cập nhật bảo mật và hỗ trợ có sẵn:

  • 7.3 và 7.4 – các phiên bản được hỗ trợ đầy đủ
  • 7.2 – được hỗ trợ bảo mật cho đến tháng 11 năm 2020
  • 7.1 – gần đây đã ngừng hỗ trợ bảo mật (tháng 12 năm 2019)
  • 7.0 – không hỗ trợ kể từ tháng 12 năm 2018
  • 5.6 trở lên – không hỗ trợ kể từ tháng 12 năm 2018

Dữ liệu đầy đủ cho việc này có sẵn trên trang web PHP chính thức.

Xem thêm bài viết: Magento Agency

ĐIỀU NÀY CÓ NGHĨA LÀ TÔI PHẢI NÂNG CẤP ĐỂ MAGENTO 2 SỚM NHẤT CÓ THỂ

Bạn không, chỉ vì lợi ích của phiên bản PHP được hỗ trợ. Có một số lợi thế khi chuyển sang Magento 2 và đối với một số người bán, điều này có thể là một sự quá mức cần thiết. Tuy nhiên, vì lợi ích của chủ đề này, bạn có thể tiếp tục sử dụng Magento 1 và đảm bảo rằng bạn đang chạy trên một trong những phiên bản PHP mới hơn.

TÔI ĐANG SỬ DỤNG MAGENTO 2, VẬY TÔI SẼ ĐƯỢC, ĐÚNG KHÔNG?

Vâng, nó phụ thuộc vào phiên bản Magento 2 bạn đang sử dụng. Không có nghĩa là bạn tự động sử dụng một trong các phiên bản PHP được hỗ trợ. Phiên bản Magento 2.3.x hỗ trợ đầy đủ phiên bản PHP 7.2, vì vậy nếu bạn đang ở đó, bạn nên an toàn khi sử dụng phiên bản PHP hiện tại. Bài đăng này là một phần để nâng cao nhận thức của các thương gia, giải pháp của họ và các đối tác lưu trữ về chủ đề cụ thể này. 

Related Articles:   Magento Open-source vs Magento Commerce: Phiên bản nào phù hợp với doanh nghiệp?

Chạy trên một trong những phiên bản PHP mới nhất là một chiến thắng nhanh chóng để cải thiện cả bảo mật và hiệu suất của một cửa hàng trực tuyến. Tuy nhiên, bảo mật không bắt đầu và kết thúc với phiên bản PHP hoặc Magento bạn đang sử dụng. Bạn phải luôn theo dõi các bản vá Magento chính thức sắp ra mắt. Và có một cuộc trò chuyện cởi mở về các kế hoạch bảo mật của bạn với các đối tác của bạn.

Xem thêm bài viết: https://www.smartosc.com/insights/top-10-magento-ecommerce-development-companies-in-singapore

BƯỚC TIẾP THEO CỦA TÔI LÀ GÌ?

Việc chạy trên phiên bản PHP được hỗ trợ sẽ không làm nên điều kỳ diệu cho cửa hàng của bạn. Nhưng, nó có thể ngăn chặn rất nhiều điều xấu có thể xảy ra. Bảo mật và hiệu suất tổng thể của bất kỳ webhop nào là một chủ đề rộng lớn hơn nhiều cần đề cập. Tuy nhiên, một số điều nhất định (như điều được mô tả trong bài đăng này) chắc chắn có thể giúp bạn cải thiện trong cả hai lĩnh vực. Và tin tốt là họ không nên tạo ra quá nhiều gánh nặng cho hoạt động kinh doanh đang diễn ra. Để làm rõ một số điều có thể tạo ra sự nhầm lẫn và cung cấp cho bạn một số điểm hành động:

  1. Nếu bạn đang chạy cửa hàng Magento 1 trên phiên bản PHP không được hỗ trợ, bạn chắc chắn nên cập nhật phiên bản PHP. Và làm điều đó càng sớm càng tốt. Điều này quan trọng hơn nhiều so với việc cập nhật cửa hàng Magento 1 của bạn hoặc lập kế hoạch chuyển sang Magento 2.
  2. Nếu bạn đang sử dụng Magento 2, hãy đảm bảo rằng bạn đang sử dụng một trong những bản phát hành mới nhất của nó (2.3.x).
  3. Nếu bạn đang ở trong hàng rào về toàn bộ điều từ M1 đến M2, trong mọi trường hợp, trước bất kỳ điều gì, hãy tham khảo ý kiến ​​của các đối tác phát triển và lưu trữ của bạn. Họ phải là những người hỗ trợ bạn thực hiện các bước tiếp theo, bởi vì họ (nên) biết trang web của bạn từ trong ra ngoài và hướng dẫn bạn trong suốt quá trình này.
Related Articles:   SmartOSC hiện là Đối tác Shopify Plus được Chứng nhận

Nguồn bài viết: Magento VietNam

Leave a Reply

Your email address will not be published. Required fields are marked *


Our Ecosystem : Vietnam, Australia 1, Singapore 1, Thailand, Australia 2, Singapore 2, USA 1, Australia 3, Singapore 3, USA 2, Singapore 4, Australia 4, Ecommerce, USA 3, Meeting Room Booking, Visitor Management system